[pacman-dev] is newer than messages

Xavier shiningxc at gmail.com
Sat Feb 2 04:47:13 EST 2008

Karolina Lindqvist wrote:
> What is the purpose of the messages "is newer then", from pacman -Su?
> Can't they please be removed in the normal case? Is there anyone who need
> them? They look like debug messages to me.
> $ sudo pacman -Su
> :: Starting full system upgrade...
> warning: attr: local (2.4.39-2.1) is newer than core (2.4.39-2)
> warning: kdebase: local ( is newer than extra (3.5.8-3)
> warning: kdelibs: local ( is newer than extra (3.5.8-4)
> warning: kernel26: ignoring package upgrade ( =>  2.6.24-2)
> warning: lirc: local (0.8.3-0.20080113) is newer than testing (0.8.2-10)
> warning: lirc-utils: local (0.8.3-0.20080113.1) is newer than extra (0.8.2-1)
> warning: tellico: local (1.3-1) is newer than community (1.2.14-1)

You could read the following thread :

There are 5 mails there with "pacman, be quiet !" title. The two answers 
I got from Mateusz and the one I got from Georg all contain reasons for 
keeping these messages.

More information about the pacman-dev mailing list